global EvaluationWindows
set n [Unique]
set parent [WindowLink $head.col2]
set win $parent.evaluation$n
set EvaluationWindows [linsert $EvaluationWindows 0 $win]

LinkWindow $head.evaluation $win
LinkWindow $win.head $head
LinkWindow $win.parent $parent
LinkWindow $win.top $win

catch "destroy $win"
frame $win

SetHelp $win Evaluation

global [set var $win.visible]
set $var 0

bind $win <Visibility> {EvaluationVisible %W [string compare %s FullyObscured]}
bind $win <Map> {EvaluationVisible %W 1}
bind $win <Unmap> {EvaluationVisible %W 0}

#wm title $win {SimCity Evaluation}
#wm iconname $win {SimCity Evaluation}
#wm group $win $head
#wm geometry $win 480x240+5-5
#wm withdraw $win
#wm maxsize $win 700 700
#wm minsize $win 400 200
#wm protocol $win delete "DeleteWindow evaluation EvaluationWindows"


frame $win.leftframe\
  -borderwidth 1\
  -relief raised

SetHelp $win.leftframe Evaluation.Opinion

label $win.leftframe.title\
  -font [Font $win Big]\
  -padx 0\
  -relief flat\
  -text {Public Opinion}\
  -width 5

label $win.leftframe.isthe\
  -font [Font $win Large]\
  -text {Is the mayor doing a good job?}

SetHelp $win.leftframe.isthe Evaluation.GoodJob

frame $win.leftframe.goodjobframe\
  -borderwidth 1

SetHelp $win.leftframe.goodjobframe Evaluation.GoodJob

message $win.leftframe.goodjobframe.yesno\
  -aspect 1500\
  -justify right\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {YES
NO}

message $win.leftframe.goodjobframe.percents\
  -aspect 1500\
  -justify left\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {100%
0%}
LinkWindow $win.goodjob $win.leftframe.goodjobframe.percents

pack append $win.leftframe.goodjobframe\
  $win.leftframe.goodjobframe.percents	{right frame w expand} \
  $win.leftframe.goodjobframe.yesno		{right frame e expand} 

label $win.leftframe.whatare\
  -font [Font $win Large]\
  -text {What are the worst problems?}

SetHelp $win.leftframe.whatare Evaluation.WorstProblems

frame $win.leftframe.worstproblems\
  -borderwidth 1

SetHelp $win.leftframe.worstproblems Evaluation.WorstProblems

message $win.leftframe.worstproblems.problemnames\
  -aspect 1500\
  -justify right\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {        



}
LinkWindow $win.problemnames $win.leftframe.worstproblems.problemnames

message $win.leftframe.worstproblems.problempercents\
  -aspect 1500\
  -justify left\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {        



}
LinkWindow $win.problempercents $win.leftframe.worstproblems.problempercents

pack append $win.leftframe.worstproblems\
  $win.leftframe.worstproblems.problempercents {right frame w expand} \
  $win.leftframe.worstproblems.problemnames    {right frame e expand}

pack append $win.leftframe\
  $win.leftframe.title		{top frame center fillx expand} \
  $win.leftframe.isthe		{top frame center fillx expand} \
  $win.leftframe.goodjobframe	{top frame center fillx expand} \
  $win.leftframe.whatare	{top frame center fillx expand} \
  $win.leftframe.worstproblems	{top frame center fillx expand} 

frame $win.rightframe\
  -borderwidth 1\
  -relief raised

SetHelp $win.rightframe Evaluation.Statistics

label $win.rightframe.title\
  -font [Font $win Big]\
  -padx 0\
  -relief flat\
  -text {Statistics}\
  -width 5

frame $win.rightframe.statsframe\
  -borderwidth 1

message $win.rightframe.statsframe.statlabels\
  -aspect 1500\
  -justify right\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {Population:
Net Migration:
(last year) 
Assessed Value:
Category:
Game Level:}

message $win.rightframe.statsframe.stats\
  -aspect 1500\
  -justify left\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {                




}
LinkWindow $win.stats $win.rightframe.statsframe.stats

pack append $win.rightframe.statsframe\
  $win.rightframe.statsframe.statlabels	{left frame e expand} \
  $win.rightframe.statsframe.stats	{right frame w expand}

message $win.rightframe.cityscore\
  -aspect 1500\
  -justify center\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {Overall City Score
(0 - 1000)}

SetHelp $win.rightframe.cityscore Evaluation.Score

frame $win.rightframe.scoreframe\
  -borderwidth 1

SetHelp $win.rightframe.scoreframe Evaluation.Score

message $win.rightframe.scoreframe.scorelabels\
  -aspect 1500\
  -justify right\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {Current Score:
Annual Change:}

message $win.rightframe.scoreframe.scores\
  -aspect 1500\
  -justify left\
  -padx 5\
  -pady 2\
  -font [Font $win Medium]\
  -text {        

}
LinkWindow $win.score $win.rightframe.scoreframe.scores

pack append $win.rightframe.scoreframe\
  $win.rightframe.scoreframe.scorelabels	{left frame e expand} \
  $win.rightframe.scoreframe.scores		{right frame w expand}

pack append $win.rightframe\
  $win.rightframe.title	{top frame center fillx expand} \
  $win.rightframe.statsframe	{top frame center fillx expand} \
  $win.rightframe.cityscore	{top frame center fillx expand} \
  $win.rightframe.scoreframe	{top frame center fillx expand} 

frame $win.bottomframe\
  -borderwidth 0

SetHelp $win.bottomframe Evaluation.Dismiss

button $win.bottomframe.button\
  -font [Font $win Large]\
  -text {Dismiss Evaluation}\
  -command "pack unpack $win"

pack append $win.bottomframe\
  $win.bottomframe.button   {top frame center expand fillx}

pack append $win\
  $win.bottomframe	{bottom frame center fillx}\
  $win.leftframe	{left frame center expand fill} \
  $win.rightframe	{right frame center expand fill}

sim UpdateEvaluation

update idletasks
