global FrobWindows
set n [Unique]
set win .frob$n
set FrobWindows [linsert $FrobWindows 0 $win]

LinkWindow $head.frob $win
LinkWindow $head.frob $win
LinkWindow $win.head $head

catch "destroy $win"
toplevel $win -screen $display

SetHelp $win Frob

wm title $win {SimCity Dynamic Zone Filter}
wm iconname $win {SimCity Frob}
wm geometry $win 350x480+5+5
wm positionfrom $win user
wm sizefrom $win user
wm maxsize $win 700 700
wm minsize $win 100 100
wm protocol $win delete "DeleteWindow frob FrobWindows"
wm transient $win $head

frame $win.top \
  -relief raised \
  -borderwidth 1
LinkWindow $win.background $win.top

label $win.top.title \
  -text {Frob-O-Matic Dynamic Zone Filter} \
  -borderwidth 1 \
  -relief raised \
  -font [Font $win Big]
LinkWindow $win.title $win.top.title

#  SetHelp $win.top.title Frob.Title

frame $win.top.border \
  -relief flat \
  -borderwidth 4

label $win.top.border.l0 \
  -text {Population Density} \
  -borderwidth 1 \
  -font [Font $win Small]

SetHelp $win.top.border.l0 Frob.PopulationDensity

interval $win.top.border.i0\
      -font [Font $win Medium]\
      -borderwidth 1 \
      -orient horizontal \
      -from 0 -to 255 \
      -command "UISetDynamic 0"

SetHelp $win.top.border.i0 Frob.PopulationDensity

label $win.top.border.l1 \
  -text {Rate Of Growth} \
  -borderwidth 2 \
  -font [Font $win Small]

SetHelp $win.top.border.l0 Frob.RateOfGrowth

interval $win.top.border.i1\
      -font [Font $win Medium]\
      -borderwidth 1 \
      -orient horizontal \
      -from 0 -to 255 \
      -command "UISetDynamic 1"

SetHelp $win.top.border.i0 Frob.RateOfGrowth

label $win.top.border.l2 \
  -text {Traffic Density} \
  -borderwidth 2 \
  -font [Font $win Small]

SetHelp $win.top.border.l0 Frob.TrafficDensity

interval $win.top.border.i2\
      -font [Font $win Medium]\
      -borderwidth 1 \
      -orient horizontal \
      -from 0 -to 255 \
      -command "UISetDynamic 2"

SetHelp $win.top.border.i0 Frob.TrafficDensity

label $win.top.border.l3 \
  -text {Pollution Rate} \
  -borderwidth 2 \
  -font [Font $win Small]

SetHelp $win.top.border.l0 Frob.PollutionRate

interval $win.top.border.i3\
      -font [Font $win Medium]\
      -borderwidth 1 \
      -orient horizontal \
      -from 0 -to 255 \
      -command "UISetDynamic 3"

SetHelp $win.top.border.i0 Frob.PollutionRate

label $win.top.border.l4 \
  -text {Crime Rate} \
  -borderwidth 2 \
  -font [Font $win Small]

SetHelp $win.top.border.l0 Frob.CrimeRate

interval $win.top.border.i4\
      -font [Font $win Medium]\
      -borderwidth 1 \
      -orient horizontal \
      -from 0 -to 255 \
      -command "UISetDynamic 4"

SetHelp $win.top.border.i0 Frob.CrimeRate

label $win.top.border.l5 \
  -text {Land Value} \
  -borderwidth 2 \
  -font [Font $win Small]

SetHelp $win.top.border.l0 Frob.LandValue

interval $win.top.border.i5\
      -font [Font $win Medium]\
      -borderwidth 1 \
      -orient horizontal \
      -from 0 -to 255 \
      -command "UISetDynamic 5"

SetHelp $win.top.border.i0 Frob.LandValue

label $win.top.border.l6 \
  -text {Police Effect} \
  -borderwidth 2 \
  -font [Font $win Small]

SetHelp $win.top.border.l0 Frob.PoliceEffect

interval $win.top.border.i6\
      -font [Font $win Medium]\
      -borderwidth 1 \
      -orient horizontal \
      -from 0 -to 255 \
      -command "UISetDynamic 6"

SetHelp $win.top.border.i0 Frob.PoliceEffect

label $win.top.border.l7 \
  -text {Fire Effect} \
  -borderwidth 2 \
  -font [Font $win Small]

SetHelp $win.top.border.l0 Frob.FireEffect

interval $win.top.border.i7\
      -font [Font $win Medium]\
      -borderwidth 1 \
      -orient horizontal \
      -from 0 -to 255 \
      -command "UISetDynamic 7"

SetHelp $win.top.border.i0 Frob.FireEffect

pack append $win.top.border\
  $win.top.border.l0		{top frame center fillx} \
  $win.top.border.i0		{top frame center fillx} \
  $win.top.border.l1		{top frame center fillx} \
  $win.top.border.i1		{top frame center fillx} \
  $win.top.border.l2		{top frame center fillx} \
  $win.top.border.i2		{top frame center fillx} \
  $win.top.border.l3		{top frame center fillx} \
  $win.top.border.i3		{top frame center fillx} \
  $win.top.border.l4		{top frame center fillx} \
  $win.top.border.i4		{top frame center fillx} \
  $win.top.border.l5		{top frame center fillx} \
  $win.top.border.i5		{top frame center fillx} \
  $win.top.border.l6		{top frame center fillx} \
  $win.top.border.i6		{top frame center fillx} \
  $win.top.border.l7		{top frame center fillx} \
  $win.top.border.i7		{top frame center fillx}

pack append $win.top\
  $win.top.title		{top frame center fillx} \
  $win.top.border		{top frame center fill}

button $win.dismiss\
  -font [Font $win Large]\
  -text {Dismiss}\
  -command "wm withdraw $win"

SetHelp $win.dismiss Frob.Dismiss

pack append $win\
  $win.dismiss	{bottom frame center fillx}\
  $win.top		{left frame center expand fill}

update idletasks
