global GraphWindows
set n [Unique]
set parent [WindowLink $head.col2]
set win $parent.graph$n
set GraphWindows [linsert $GraphWindows 0 $win]

LinkWindow $head.graph $win
LinkWindow $win.head $head
LinkWindow $win.parent $parent
LinkWindow $win.top $win

catch "destroy $win"
frame $win

SetHelp $win Graph

bind $win <Visibility> {[WindowLink %W.graphview] Visible [string compare %s FullyObscured]}
bind $win <Map> {[WindowLink %W.graphview] Visible 1}
bind $win <Unmap> {[WindowLink %W.graphview] Visible 0}

#wm title $win {SimCity Graph}
#wm iconname $win {SimCity Graph}
#wm group $win $head
#wm geometry $win 550x200+440+730
#wm positionfrom $win user
#wm withdraw $win
#wm maxsize $win 1000 500
#wm minsize $win 150 85
#wm protocol $win delete "DeleteWindow graph GraphWindows"


frame $win.centerframe\
  -borderwidth 1\
  -relief raised

SetHelp $win.centerframe Graph.View

graphview $win.centerframe.graph\
  -font [Font $win Small]
LinkWindow $win.centerframe.graph.pallet $win.leftframe
LinkWindow $win.graphview $win.centerframe.graph

pack append $win.centerframe\
  $win.centerframe.graph {top frame center fill expand}

frame $win.leftframe\
  -borderwidth 1\
  -relief raised

frame $win.leftframe.left\
  -borderwidth 0

button $win.leftframe.left.res\
  -bitmap "@images/grres.xpm"\
  -font [Font $win Medium]\
  -borderwidth 0\
  -relief flat\
  -padx 0\
  -pady 0\
  -text {}\
  -command "GraphPallet $win 0"

SetHelp $win.leftframe.left.res Graph.Res

button $win.leftframe.left.com\
  -bitmap "@images/grcom.xpm"\
  -font [Font $win Medium]\
  -borderwidth 0\
  -relief flat\
  -padx 0\
  -pady 0\
  -text {}\
  -command "GraphPallet $win 1"

SetHelp $win.leftframe.left.com Graph.Com

button $win.leftframe.left.ind\
  -bitmap "@images/grind.xpm"\
  -font [Font $win Medium]\
  -borderwidth 0\
  -relief flat\
  -padx 0\
  -pady 0\
  -text {}\
  -command "GraphPallet $win 2"

SetHelp $win.leftframe.left.ind Graph.Ind

pack append $win.leftframe.left\
  $win.leftframe.left.res	{top frame center padx 2 pady 2} \
  $win.leftframe.left.com	{top frame center padx 2 pady 2} \
  $win.leftframe.left.ind	{top frame center padx 2 pady 2}

frame $win.leftframe.right\
  -borderwidth 0

button $win.leftframe.right.money\
  -bitmap "@images/grmony.xpm"\
  -font [Font $win Medium]\
  -borderwidth 0\
  -relief flat\
  -padx 0\
  -pady 0\
  -text {}\
  -command "GraphPallet $win 3"

SetHelp $win.leftframe.right.money Graph.Money

button $win.leftframe.right.crime\
  -bitmap "@images/grcrim.xpm"\
  -font [Font $win Medium]\
  -borderwidth 0\
  -relief flat\
  -padx 0\
  -pady 0\
  -text {}\
  -command "GraphPallet $win 4"

SetHelp $win.leftframe.right.crime Graph.Crime

button $win.leftframe.right.pollution\
  -bitmap "@images/grpoll.xpm"\
  -font [Font $win Medium]\
  -borderwidth 0\
  -relief flat\
  -padx 0\
  -pady 0\
  -text {}\
  -command "GraphPallet $win 5"

SetHelp $win.leftframe.right.pollution Graph.Pollution

pack append $win.leftframe.right\
  $win.leftframe.right.money		{top frame center padx 2 pady 2} \
  $win.leftframe.right.crime		{top frame center padx 2 pady 2} \
  $win.leftframe.right.pollution	{top frame center padx 2 pady 2}

frame $win.leftframe.year\
  -borderwidth 0

button $win.leftframe.year.year10\
  -bitmap "@images/gr10.xpm"\
  -font [Font $win Medium]\
  -borderwidth 0\
  -relief flat\
  -padx 0\
  -pady 0\
  -text {}\
  -command "GraphYearPallet $win 0"

SetHelp $win.leftframe.year.year10 Graph.10Years

button $win.leftframe.year.year120\
  -bitmap "@images/gr120.xpm"\
  -font [Font $win Medium]\
  -borderwidth 0\
  -relief flat\
  -padx 0\
  -pady 0\
  -text {}\
  -command "GraphYearPallet $win 1"

SetHelp $win.leftframe.year.year120 Graph.120Years

pack append $win.leftframe.year\
  $win.leftframe.year.year10	{top frame center} \
  $win.leftframe.year.year120	{top frame center} \

pack append $win.leftframe\
  $win.leftframe.year		{top frame center padx 2 pady 2} \
  $win.leftframe.left		{left frame center} \
  $win.leftframe.right		{right frame center} \


frame $win.bottomframe\
  -borderwidth 0

SetHelp $win.bottomframe Graph.Dismiss

button $win.bottomframe.button\
  -font [Font $win Large]\
  -text {Dismiss Graph}\
  -borderwidth 1 \
  -command "pack unpack $win"

pack append $win.bottomframe\
  $win.bottomframe.button   {top frame center expand fillx}

pack append $win\
  $win.bottomframe	{bottom frame center fillx}\
  $win.leftframe	{left frame center filly} \
  $win.centerframe	{right frame center expand fill}

InitGraph $win

update idletasks
