global NoticeWindows
set n [Unique]
set parent [WindowLink $head.w3]
set win $parent.notice$n
set NoticeWindows [linsert $NoticeWindows 0 $win]

LinkWindow $head.notice $win
LinkWindow $win.head $head
LinkWindow $win.parent $parent

catch "destroy $win"
frame $win

SetHelp $win Notice

bind $win <Visibility> {[WindowLink %W.view] Visible [string compare %s FullyObscured]}
bind $win <Map> {[WindowLink %W.view] Visible 1}
bind $win <Unmap> {[WindowLink %W.view] Visible 0}

frame $win.top \
  -relief raised \
  -borderwidth 1
LinkWindow $win.background $win.top

label $win.top.title \
  -borderwidth 2 \
  -relief raised \
  -font [Font $win Big]
LinkWindow $win.title $win.top.title

SetHelp $win.top.title Notice.Title

text $win.top.text \
  -borderwidth 2 \
  -relief flat \
  -wrap word \
  -state disabled \
  -font [Font $win Large]
LinkWindow $win.text $win.top.text

SetHelp $win.top.text Notice.Text

global ResourceDir

button $win.top.text.left \
  -command "UIMakeSound fancy HeavyTraffic" \
  -font [Font $win Large]\
  -borderwidth 1 \
  -relief flat
LinkWindow $win.left $win.top.text.left

button $win.top.text.middle \
  -command "UIMakeSound fancy Computer" \
  -font [Font $win Large]\
  -borderwidth 1 \
  -relief flat
LinkWindow $win.middle $win.top.text.middle

button $win.top.text.right \
  -command "UIMakeSound fancy QuackQuack" \
  -font [Font $win Large]\
  -borderwidth 1 \
  -relief flat
LinkWindow $win.right $win.top.text.right

frame $win.top.viewframe\
  -borderwidth 4\
  -relief flat
LinkWindow $win.viewframe $win.top.viewframe

SetHelp $win.top.viewframe Notice.View

frame $win.top.viewframe.f\
  -cursor hand2\
  -borderwidth 1\
  -relief sunken

pack append $win.top.viewframe\
  $win.top.viewframe.f \
      {top frame center expand fill}

editorview $win.top.viewframe.f.view \
  -font [Font $win Big]\
  -width 128 -height 32
LinkWindow $win.view $win.top.viewframe.f.view
$win.top.viewframe.f.view ShowMe 0
bind $win.top.viewframe.f.view <ButtonPress> \
      "ComeToMe %W"

pack append $win.top.viewframe.f\
  $win.top.viewframe.f.view \
      {top frame center expand fill}

pack append $win.top\
  $win.top.title	{top frame center fillx} \
  $win.top.text		{right frame center expand fill}

button $win.dismiss\
  -font [Font $win Large]\
  -text {Dismiss}\
  -command "pack unpack $win"

SetHelp $win.dismiss Notice.Dismiss

pack append $win\
  $win.dismiss		{bottom frame center fillx} \
  $win.top		{left frame center expand fill}

update idletasks
