global ScenarioWindows
set n [Unique]
set win .scenario$n

LinkWindow $head.scenario $win
LinkWindow $win.head $head
LinkWindow $win.scenarioTarget -1
LinkWindow $win.scenarioTargetDown -1

catch "destroy $win"
if {[catch "toplevel $win -screen $display"]} {
  puts stderr "Couldn't open X11 display \"$display\"."
  set win ""
  return ""
}

wm title $win "SimCity Scenarios"
wm iconname $win {SimCity Scenarios}
wm geometry $win 1200x900+0+0
wm withdraw $win
wm protocol $win delete "DeleteScenarioWindow $win ;"
wm fullscreen $win on

set ScenarioWindows [linsert $ScenarioWindows 0 $win]

SetHelp $win Scenario

canvas $win.canvas \
  -scrollincrement 0 \
  -borderwidth 0 \
  -background #000000 \
  -width 1200 -height 900
LinkWindow $win.canvas $win.canvas
LinkWindow $win.canvas.w $win

$win.canvas create bitmap 0 0 \
  -tags background  \
  -bitmap "@images/background.xpm" \
  -anchor nw

$win.canvas bind background <ButtonPress> {HandleScenarioDown %W %x %y}
$win.canvas bind background <ButtonRelease-1> {HandleScenarioUp %W %x %y}
$win.canvas bind background <ButtonRelease-2> {HandleScenarioUp %W %x %y}
$win.canvas bind background <ButtonRelease-3> {HandleScenarioUp %W %x %y}
$win.canvas bind background <Motion> {HandleScenarioMove %W %x %y}
$win.canvas bind background <Button1-Motion> {HandleScenarioMove %W %x %y}
$win.canvas bind background <Button2-Motion> {HandleScenarioMove %W %x %y}
$win.canvas bind background <Button3-Motion> {HandleScenarioMove %W %x %y}

global ScenarioButtons
set i 0
set len [llength $ScenarioButtons]
while {$i < $len} {
  set data [lindex $ScenarioButtons $i]
  set type [lindex $data 0]
  set id [lindex $data 1]
  set xx [lindex $data 5]
  set yy [lindex $data 6]
  set ww [lindex $data 7]
  set hh [lindex $data 8]
  
  $win.canvas create bitmap $xx $yy \
    -tags $id \
    -anchor nw

  $win.canvas bind $id <ButtonPress> {HandleScenarioDown %W %x %y}
  $win.canvas bind $id <ButtonRelease-1> {HandleScenarioUp %W %x %y}
  $win.canvas bind $id <ButtonRelease-2> {HandleScenarioUp %W %x %y}
  $win.canvas bind $id <ButtonRelease-3> {HandleScenarioUp %W %x %y}
  $win.canvas bind $id <Motion> {HandleScenarioMove %W %x %y}
  $win.canvas bind $id <Button1-Motion> {HandleScenarioMove %W %x %y}
  $win.canvas bind $id <Button2-Motion> {HandleScenarioMove %W %x %y}
  $win.canvas bind $id <Button3-Motion> {HandleScenarioMove %W %x %y}

  set i [expr "$i + 1"]
}

mapview $win.canvas.view \
  -font [Font $win Large]
LinkWindow $win.view $win.canvas.view
$win.canvas.view size [expr "[sim WorldX] * 3"] [expr "[sim WorldY] * 3"]

# Hide the editor rectangles.
$win.canvas.view ShowEditors 0

frame $win.canvas.name \
  -borderwidth 2\
  -relief flat

SetHelp $win.name Scenario.Name

label $win.canvas.name.namelabel \
  -text {City Name:} \
  -font [Font $win Text]

entry $win.canvas.name.cityname \
  -text {}\
  -textvariable CityName \
  -font [Font $win Text] \
  -width 33
bind $win.canvas.name.cityname <Return> "DoEnterCityName $win"
bind $win.canvas.name.cityname <Any-Enter> {focus %W}
LinkWindow $win.cityname $win.canvas.name.cityname

pack append $win.canvas.name \
  $win.canvas.name.namelabel	{left frame e}\
  $win.canvas.name.cityname	{left frame e}

place $win.canvas -x 0 -y 0
place $win.canvas.view -x 534 -y 48
place $win.canvas.name -x 530 -y 0

InitScenario $win

update idletasks
